package http_model

type LocalPreDataListRequest struct {
	PageSize     int      `json:"page_size"`
	PageNum      int      `json:"page"`
	ProjectId    string   `json:"project_id"`  // 项目ID
	DataStatus   string   `json:"data_status"` // 数据状态，13待传数据
	EnterpriseId string   `json:"enterprise_id"`
	SortField    []string `json:"sort_field,omitempty"`
	SortOrder    []string `json:"sort_order,omitempty"`
	Others       string   `json:"others,omitempty"`
}

type GetLocalPreDataListData struct {
	TaskdataList []*LocalTaskdatainfo `json:"task_list"`
	Total        string               `json:"total"`
}

type LocalTaskdatainfo struct {
	Task *LocaLTaskInfo `json:"task_info"`
	DDl  string         `json:"ddl"` // 截止时间
}

func NewLocalPreDataListRequest() *LocalPreDataListRequest {
	return new(LocalPreDataListRequest)
}

func NewLocalPreDataListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetLocalPreDataListData)
	return resp
}
